-- Customer specific once-script CONN53.
--
-- (c) 2012 SG|facilitor bv 
-- $Revision$ 
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xconn53.lst
SET DEFINE OFF

-- Definitie tabel voor importfunctie srtdeel_swap
/* Formatted on 18-10-2012 17:30:30 (QP5 v5.115.810.9015) */
CREATE TABLE conn_imp_srtdeel_swap
(
   cur_srtdeel_key   NUMBER (10),
   new_srtdeel_key   NUMBER (10)
);

/* Formatted on 23-10-2012 15:38:18 (QP5 v5.115.810.9015) */
INSERT INTO fac_import_app (fac_import_app_code,
                            fac_import_app_oms,
                            fac_functie_key,
                            fac_import_app_prefix)
   SELECT   'SRTDEEL_SWAP',
            'Inlezen/omhangen objectsoorten',
            fac_functie_key,
            'CONN'
     FROM   fac_functie
    WHERE   fac_functie_code = 'WEB_PRSSYS';

/* Formatted on 23-10-2012 15:44:58 (QP5 v5.115.810.9015) */
INSERT INTO fac_usrrap (fac_usrrap_omschrijving,
                        fac_usrrap_view_name,
                        fac_usrrap_functie,
                        fac_usrrap_info,
                        fac_functie_key,
                        fac_usrrap_vraagbegindatum,
                        fac_usrrap_vraageinddatum)
  VALUES   ('BEHEER: Object/controle/contract overzicht',
            'conn_v_rap_srtdeel_swap_expimp',
            0,
            'Object/controle/contract overzicht',
            64,
            0,
            0);

-- Verwijder eenmalig alle "lege" controles!
DELETE FROM   ins_srtcontrole sc
      WHERE   sc.ins_srtcontrole_niveau = 'S'
              AND NOT EXISTS
                    (SELECT   1
                       FROM   ins_deelsrtcontrole
                      WHERE   ins_srtcontrole_key = sc.ins_srtcontrole_key)
              AND NOT EXISTS
                    (SELECT   1
                       FROM   ins_v_aanwezigdeel
                      WHERE   ins_srtdeel_key = sc.ins_srtinstallatie_key);

-- Verwijder eenmalig alle "lege" objectsoorten uit scope bij contracten!
UPDATE   cnt_contract_object co
   SET   co.cnt_contract_object_verwijder = SYSDATE
 WHERE   co.cnt_contract_object_verwijder IS NULL
         AND NOT EXISTS (SELECT   1
                           FROM   ins_v_aanwezigdeel
                          WHERE   ins_srtdeel_key = co.cnt_ins_srtdeel_key);

-- Verwijder eenmalig alle "lege" objectsoort-kenmerken!
UPDATE   ins_kenmerk k
   SET   k.ins_kenmerk_verwijder = SYSDATE
 WHERE       k.ins_kenmerk_verwijder IS NULL
         AND k.ins_kenmerk_niveau = 'S'
         AND NOT EXISTS (SELECT   1
                           FROM   ins_v_aanwezigdeel
                          WHERE   ins_srtdeel_key = k.ins_srtinstallatie_key);

-- Verwijder eenmalig alle "lege" objectsoorten!
UPDATE   ins_srtdeel sd
   SET   ins_srtdeel_verwijder = SYSDATE
 WHERE   sd.ins_srtdeel_verwijder IS NULL
         AND NOT EXISTS (SELECT   1
                           FROM   ins_v_aanwezigdeel
                          WHERE   ins_srtdeel_key = sd.ins_srtdeel_key);

COMMIT;
BEGIN adm.systrackscript('$Workfile: connxx.sql $', '$Revision$', 1); END;
/
SPOOL OFF
@conn.sql
